Bug 595021 - [abrt] crash detected in blogtk-1.1-13.fc12
Summary: [abrt] crash detected in blogtk-1.1-13.fc12
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: blogtk
Version: 13
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Paul W. Frields
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:b30a83cb
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-22 21:46 UTC by Cia Watson
Modified: 2011-02-16 21:43 UTC (History)
31 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 543209
Environment:
Last Closed: 2011-02-16 21:43:28 UTC
Type: ---


Attachments (Terms of Use)
abrt output and short comments (1.30 KB, application/octet-stream)
2010-05-22 21:46 UTC, Cia Watson
no flags Details

Description Cia Watson 2010-05-22 21:46:14 UTC
Created attachment 415894 [details]
abrt output and short comments

+++ This bug was initially created as a clone of Bug #543209 +++

abrt 1.0.0 detected a crash.

backtrace
-----
Summary: TBb30a83cb config.py:193:fillForm:AttributeError: blogtkPrefs instance has no attribute 'defaultPublish'

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/blogtk/config.py", line 193, in fillForm
    if self.defaultPublish == "1":
AttributeError: blogtkPrefs instance has no attribute 'defaultPublish'

Local variables in innermost frame:
widget: <gtk.Entry object at 0x9b3efcc (GtkEntry at 0x9d28210)>
self: <config.blogtkPrefs instance at 0x9b2b6ec>

cmdline: python /usr/lib/python2.6/site-packages/blogtk/BloGTK.py 
component: blogtk
executable: /usr/lib/python2.6/site-packages/blogtk/BloGTK.py
kernel: 2.6.31.5-127.fc12.i686.PAE
package: blogtk-1.1-13.fc12
uuid: b30a83cb

--- Additional comment from r_wellington@hotmail.com on 2009-12-01 17:24:47 EST ---

Created an attachment (id=375218)
File: backtrace

--- Additional comment from stickster@gmail.com on 2010-02-03 14:46:02 EST ---

There are some fundamental incompatibilities between older config files for BloGTK and the ones in 1.1.  Have you tried moving ~/.BloGTK/BloGTK.conf away, restarting the program, and entering details for your weblog again?

--- Additional comment from stickster@gmail.com on 2010-02-26 23:05:37 EST ---

*** Bug 568569 has been marked as a duplicate of this bug. ***

--- Additional comment from stickster@gmail.com on 2010-02-26 23:08:02 EST ---

I left a comment a few weeks ago with no response.  Please provide some feedback on my workaround.  If I don't get any response back in a week or so, I'll have to close this bug.

--- Additional comment from r_wellington@hotmail.com on 2010-02-27 05:54:08 EST ---

I haven't been able to take a look at either of my linux boxes recently due to work. I'll try to give it a go this weekend.

--- Additional comment from stickster@gmail.com on 2010-03-08 08:58:27 EST ---

See also bug 501183.  Try removing ~/.BloGTK and restarting the application.

Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

Comment 1 Cia Watson 2010-05-22 22:04:34 UTC
Package: blogtk-1.1-13.fc12
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Opened blogtk for first time to use it after installation. 
2.
3.


Comment
-----
It appears to be waiting for input so it didn't crash completely. However, it won't connect to my blog and doesn't appear to be fully functional.

Comment 2 Renich Bon Ciric 2010-05-31 08:52:55 UTC
Package: blogtk-1.1-13.fc12
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
This thing doesn't work... it did before... now it doesn't. It just doesn't connect.

Comment 3 Andrew Jamison 2010-06-25 16:32:32 UTC
Package: blogtk-1.1-13.fc12
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Install Blogtk on 64bit F13
2. Attempt to open and setup an blog account that uses xmlrpc
3.

Comment 4 Christophe Quintard 2010-07-08 07:47:09 UTC
Package: blogtk-1.1-13.fc12
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. yum install blogtk
2. Start BloGTK
3.


Comment
-----
I just start BloGTK after having installed it.

Comment 5 Christophe Quintard 2010-07-08 07:53:10 UTC
I tried to move away the ~/.BloGTK/BloGTK.conf file and to restart, but I had exactly the same crash. The "accounts and settings" dialog box is opened, I entered my blog details, but the ok button does not work. I close the dialog box and try to connect, but it does not work either.

Comment 6 marian.trizuliak 2010-07-22 14:32:16 UTC
Package: blogtk-1.1-13.fc12
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Open BloGTK,
2. Open menu Edit -> Account and Settings
3. Crash!

Comment 7 Rishabh Dangwal 2010-09-02 06:35:43 UTC
Package: blogtk-1.1-13.fc12
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.installed blogTK
2.ran it
3.it started in panel but never made it as  a window :)

Comment 8 manuelrrojas 2010-09-03 18:38:15 UTC
Package: blogtk-1.1-13.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.Iniciar blogtk
2.
3.

Comment 9 manuelrrojas 2010-09-03 18:47:05 UTC
when you change password settings, they aren't updated, is more easy update the settings at .BloGTK/BloGTK.conf 

This error appear if you try to update settings, give save and ok button, then close the dialog settings; it  generates a blank file, you start the application and crash inmediatly

Comment 10 Rishabh Dangwal 2010-09-04 15:37:13 UTC
Package: blogtk-1.1-13.fc12
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.started blogTk on Fedora 13
2.crash
3.


Comment
-----
no idea on what the hell is happening..i guess a case of bad repo.

Comment 11 Ron 2010-09-25 17:25:26 UTC
Package: blogtk-1.1-13.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.unknown
2.I clicked on a program I have never run before
3.


Comment
-----
unknown

Comment 12 Elliott Sales de Andrade 2010-09-27 02:36:57 UTC
Package: blogtk-1.1-13.fc12
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Install BloGTK
2. Run from Add/Remove's "Run new application?" dialog
3.

Comment 13 Martin Sjöstrand 2010-10-03 12:06:14 UTC
Package: blogtk-1.1-13.fc12
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.start blogtk

2.
3.

Comment 14 Cameron 2010-10-24 14:03:48 UTC
Package: blogtk-1.1-13.fc12
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.  Installed BloGTK  via yum
2.  Opened BloGTK for the first time
3.  Crash ensued


Comment
-----
After the crash I was unable to setup and use BloGTK even though the prompts remained open and allowed me to enter my information.  The "OK" button was not functional

Comment 15 Renich Bon Ciric 2010-11-05 17:13:43 UTC
Package: blogtk-1.1-14.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Try to configure a blog on other than blogger (wordpress for example)

Comment
-----
It just doesn't work... been this way since Fedora 12...

Comment 16 Menno Slaats 2010-12-17 22:36:07 UTC
Package: blogtk-1.1-14.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.just started the application
2.
3.

Comment 17 Paul W. Frields 2010-12-18 20:16:13 UTC
The 1.1 branch of BloGTK has basically been halted by its maintainer for sometime. I can provide a 2.0 build of BloGTK for testing, but I won't push it into Fedora 14 without positive reports from people on this bug.

The 2.0 build will be available in Rawhide (pre-Fedora 15) shortly.

Comment 18 Cia Watson 2010-12-18 23:24:46 UTC
(In reply to comment #17)
> The 1.1 branch of BloGTK has basically been halted by its maintainer for
> sometime. I can provide a 2.0 build of BloGTK for testing, but I won't push it
> into Fedora 14 without positive reports from people on this bug.
> 
> The 2.0 build will be available in Rawhide (pre-Fedora 15) shortly.

Thanks for the update, might the 2.0 build also be made available in Fedora 13 (perhaps the updates-testing repo)? I myself am not going to switch to the rawhide repo just to test this update, though I'm not sure that this message meant that's the only place it will be available or not?

Comment 19 Paul W. Frields 2010-12-21 13:12:24 UTC
Yes, I'm going to put out an updates-testing build shortly for F-13; look for an entry here from the updates system shortly.  I won't push that build into stable Fedora 13, however, without a substantial number of testers.  The updates system comment will contain a link to Bodhi, the updates system, where you can enter your test results to help influence the process.

Comment 20 Fedora Update System 2010-12-21 13:16:36 UTC
blogtk-2.0-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/blogtk-2.0-3.fc13

Comment 21 Fedora Update System 2010-12-22 00:07:52 UTC
blogtk-2.0-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update blogtk'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/blogtk-2.0-3.fc13

Comment 22 Paul W. Frields 2010-12-31 13:18:42 UTC
I see there are dozens of users cc'd on this bug, which applies to blogtk on both Fedora 13 and Fedora 14. Updates are currently available for testing:

F13: https://admin.fedoraproject.org/updates/blogtk-2.0-3.fc13
F14: https://admin.fedoraproject.org/updates/blogtk-2.0-3.fc14

I need test results for both these packages.  I cannot push the Fedora 13 package to the stable repository unless the Fedora 14 package is also pushed.  This prevents F13->F14 upgrades from breaking.  Until I have confirmation from users that the bug is fixed with the new update, I won't push it into stable.  I would prefer that the feedback come from non-anonymous users, but any feedback is appreciated.

I'm going to provide an extra 5 days for testing, and if I don't get substantial feedback this bug will be closed as NEXTRELEASE (since the new package will be available in Fedora 15).

Comment 23 Cia Watson 2011-01-01 01:08:15 UTC
(In reply to comment #22)
> I see there are dozens of users cc'd on this bug, which applies to blogtk on
> both Fedora 13 and Fedora 14. Updates are currently available for testing:
 
> I would prefer that the feedback come from non-anonymous users, but any
> feedback is appreciated.
 
I thought I'd add that the first comment about testing it on a blogspot blog was from me. I put my email address in, but it posted as anonymous.

Comment 24 John 2011-01-15 08:36:10 UTC
Package: blogtk-1.1-14.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Simple workarround
2.
3.

Comment 25 Vinzenz Vietzke 2011-01-22 09:46:39 UTC
Package: blogtk-1.1-14.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Installed BloGTK
2. Started it for the first time
3.

Comment 26 Heiko Adams 2011-01-22 23:50:47 UTC
Package: blogtk-1.1-14.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Install application
2. launch application
3.

Comment 27 learnmarket 2011-02-10 20:11:19 UTC
Package: blogtk-1.1-14.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. I just opened the program
2.
3.


Note You need to log in before you can comment on or make changes to this bug.